QGIS Crashes when trying to open vector in grass tools
Status: Closed

Priority: Low

Assignee: Lorenzo Masini

Category: GRASS

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: duplicate

Crashes QGIS or corrupts data: Copied to github as #: 12207

Description

Hi

QGIS crashes when I want to open vector of a location in tab Browser in Grass Tools.

1.) Open Grass tools

2.) Click on tab Browser

3.) Click on one of your Loctions. Now you see vector and raster.

4.) Try to open vector by clicking on the plus.

5.) QGIS crashes

Happens with QGIS 1.3.0 revision as well as with QGIS 1.4.0 revision 12143

greets

Michael

History

#1 - 2009-11-25 12:13 AM - Giovanni Manghi

I have seen this before, but just when for some reason the an operation on a vector goes wrong, for example when I imported a vector with v.in.ogr and for

some other reason qgis closed during the process (my pc shut down).

A workaround is to open the mapset folder, enter "vector" and delete the folder containing the problematic vector (I know that is not the right way to delete

layers from a mapset, but at least I got my mapset back).

Nevertheless this (the crash) should not happen, so it would be useful if you can post the error message; just launch qgis from the terminal and paste here

the error when qgis crashes. Thanks.

#2 - 2009-11-25 12:21 AM - bjpfei -

I've added the errors produced by backtrace in gdb
#3 - 2009-11-29 05:39 AM - Giovanni Manghi

- Resolution set to duplicate

- Status changed from Open to Closed

sorry, I just noticed that this is duplicate of #2003

Files

backtrace.txt 6.15 KB 2009-11-24 bjpfei -
